---
# defaults file for ansible-ansible-openshift-ansible
#
#
#

# Auth Profile
#   These are Fedora Infra specific auth profiles
#
#   Acceptable values:
#     osbs          - this will configure htpasswd for use with osbs
#     fedoraidp     - configure for fedora idp
#     fedoraidp-stg - configure for fedora idp staging env
openshift_auth_profile: osbs

# Do we want OpenShift itself to be containerized?
#   This is a requirement if using Atomic Host
#
#   As of v3.5.x this would mean that all our systems would completely go down
#   in the event the docker daemon were to restart or crash.
#
#   In the future (as of v3.6 devel branch), this is done with system containers
#   and won't be bound to the docker daemon.
openshift_ansible_containerized_deploy: false

# This will co-host the infra nodes with the primary nodes
openshift_shared_infra: false

# OpenShift Cluster URL
#   Example: openshift.fedoraproject.org
openshift_cluster_url: None

# OpenShift Console and API listening ports
#   These default to 8443 in openshift-ansible
openshift_api_port: 8443
openshift_console_port: 8443

# OpenShift Applications Ingress subdomain (OpenShift routes)
openshift_app_subdomain: None

# Setup native OpenShift Master High Availability (true or false)
openshift_master_ha: false

# Destination file name for template-generated cluster inventory
cluster_inventory_filename: "cluster-inventory"

# Ansible user for use with openshift-ansible playbooks
openshift_ansible_ssh_user: root

# OpenShift Debug level (Default is 2 upstream)
openshift_debug_level: 2

# Release required as per the openshift-ansible
openshift_release: "v1.5.0"

# OpenShift Deployment Type
# Possible options:
#   origin
#   openshift-enterprise
deployment_type: origin

# Install the OpenShift App Examples (value should be "true" or "false")
openshift_ansible_install_examples: false

# Path to clone the openshift-ansible git repo into
openshift_ansible_path: "/root/openshift-ansible"

# Relative path inside the openshift-ansible git repo of the playbook to execute
# remotely
openshift_ansible_playbook: "playbooks/byo/config.yml"

# openshift-ansible version tag, this is the git tag of the "release" of the
# openshift-ansible git repo. We need to track OpenShift v1.x to
# openshift-ansible-3.x.y-1 as that's the release/tag standard upstream.
openshift_ansible_version: "openshift-ansible-3.2.35-1"

# The group names assigned to these variables are used to create the "effective"
# inventory (via a template) that is used to deploy the OpenShift Cluster via
# openshift-ansible (https://github.com/openshift/openshift-ansible). The values
# assigned here must match group names in the current running inventory or the
# remote effective inventory that actually deploys the OpenShift Cluster will be
# empty causing undesired effects.
openshift_cluster_masters_group: "openshift-cluster-masters"
openshift_cluster_nodes_group: "openshift-cluster-nodes"
openshift_cluster_infra_group: "openshift-cluster-nodes"

openshift_arch: "x86_64"
